### Function

# Ide Workbench from_context

#### Declaration

    IdeWorkbench*
    ide_workbench_from_context (
      IdeContext* context
    )

#### Description

Helper to get the `IdeWorkbench` for a given context.

Available since: | 3.40

#### Parameters

`context` | `IdeContext`
| An `IdeContext`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench` or `NULL`.
| The data is owned by the called function.
| The return value can be `NULL`.